import { TransactionHeaderBaseComponent } from '../../core/base/transaction-header-base.component';
export declare class TransactionQuickAccessPickedComponent extends TransactionHeaderBaseComponent {
    awaitingResult: boolean;
    hasArticlesToPick: boolean;
    showClass(): boolean;
    handleSelectAllLines(value: boolean): void;
    handleCommitEvent(event: MouseEvent): Promise<void>;
    protected transactionSet(): void;
}
